=== debian/control ===
Source: ros-indigo-libsiftfast
Section: misc
Priority: extra
Maintainer: Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>
Build-Depends: debhelper (>= 9.0.0), libboost-all-dev, python-numpy, ros-indigo-catkin, ros-indigo-mk, ros-indigo-rosboost-cfg, ros-indigo-roslib, ros-indigo-rospack, subversion
Homepage: 
Standards-Version: 3.9.2

Package: ros-indigo-libsiftfast
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libboost-all-dev, python-numpy
Description: Library to compute SIFT features
